Cisco NX-OS SSH Connection Negotiation Remote Command Execution (cisco-sa-20161005-nxaaa)

high Nessus Plugin ID 94070

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

The remote Cisco device is running a version of NX-OS that is affected by a remote command execution vulnerability in the SSH subsystem due to improper processing of parameters passed during the negotiation of an SSH connection. An authenticated, remote attacker can exploit this to bypass authentication, authorization, and account restrictions, allowing the attacker to execute arbitrary commands on the device command-line interface in the context of a privileged user role.

Solution

Upgrade to the relevant fixed version referenced in Cisco security advisory cisco-sa-20161005-nxaaa.

See Also

http://www.nessus.org/u?0647e25a

Plugin Details

Severity: High

ID: 94070

File Name: cisco-sa-20161005-ssh-nxos.nasl

Version: 1.7

Type: combined

Family: CISCO

Published: 10/14/2016

Updated: 11/14/2019

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 9

Temporal Score: 6.7

Vector: AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2015-0721

CVSS v3

Risk Factor: High

Base Score: 8

Temporal Score: 7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:nx-os

Required KB Items: Host/Cisco/NX-OS/Version, Host/Cisco/NX-OS/Device, Host/Cisco/NX-OS/Model

Exploit Ease: No known exploits are available

Patch Publication Date: 10/5/2016

Vulnerability Publication Date: 10/5/2016

Reference Information

CVE: CVE-2015-0721

BID: 93410